# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: attribute_config.proto

import sys

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

import mascot.grpcproto.error_pb2 as error__pb2
import mascot.grpcproto.tango_enums_pb2 as tango__enums__pb2

_b = sys.version_info[0] < 3 and (lambda x: x) or (lambda x: x.encode("latin1"))
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor.FileDescriptor(
    name="attribute_config.proto",
    package="mascot",
    syntax="proto3",
    serialized_options=None,
    serialized_pb=_b(
        '\n\x16\x61ttribute_config.proto\x12\x06mascot\x1a\x11tango_enums.proto\x1a\x0b\x65rror.proto"\xd7\x04\n\x0f\x41ttributeConfig\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\'\n\x08writable\x18\x02 \x01(\x0e\x32\x15.mascot.AttrWriteType\x12+\n\x0b\x64\x61ta_format\x18\x03 \x01(\x0e\x32\x16.mascot.AttrDataFormat\x12\x11\n\tdata_type\x18\x04 \x01(\x03\x12\x11\n\tmemorized\x18\x05 \x01(\x08\x12\x10\n\x08mem_init\x18\x06 \x01(\x08\x12\x11\n\tmax_dim_x\x18\x07 \x01(\x03\x12\x11\n\tmax_dim_y\x18\x08 \x01(\x03\x12\x13\n\x0b\x64\x65scription\x18\t \x01(\t\x12\r\n\x05label\x18\n \x01(\t\x12\x0c\n\x04unit\x18\x0b \x01(\t\x12\x15\n\rstandard_unit\x18\x0c \x01(\t\x12\x14\n\x0c\x64isplay_unit\x18\r \x01(\t\x12\x0e\n\x06\x66ormat\x18\x0e \x01(\t\x12\x11\n\tmin_value\x18\x0f \x01(\t\x12\x11\n\tmax_value\x18\x10 \x01(\t\x12\x1a\n\x12writable_attr_name\x18\x11 \x01(\t\x12 \n\x05level\x18\x12 \x01(\x0e\x32\x11.mascot.DispLevel\x12\x16\n\x0eroot_attr_name\x18\x13 \x01(\t\x12\x13\n\x0b\x65num_labels\x18\x14 \x03(\t\x12)\n\tatt_alarm\x18\x15 \x01(\x0b\x32\x16.mascot.AttributeAlarm\x12+\n\nevent_prop\x18\x16 \x01(\x0b\x32\x17.mascot.EventProperties\x12\x12\n\nextensions\x18\x17 \x03(\t\x12\x16\n\x0esys_extensions\x18\x18 \x03(\t"l\n\x14\x41ttributeConfigReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error\x12%\n\x04\x64\x61ta\x18\x03 \x01(\x0b\x32\x17.mascot.AttributeConfig" \n\x0f\x45ventProperties\x12\r\n\x05\x65mpty\x18\x01 \x01(\t"\x1f\n\x0e\x41ttributeAlarm\x12\r\n\x05\x65mpty\x18\x01 \x01(\tb\x06proto3'
    ),
    dependencies=[tango__enums__pb2.DESCRIPTOR, error__pb2.DESCRIPTOR],
)


_ATTRIBUTECONFIG = _descriptor.Descriptor(
    name="AttributeConfig",
    full_name="mascot.AttributeConfig",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="name",
            full_name="mascot.AttributeConfig.name",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="writable",
            full_name="mascot.AttributeConfig.writable",
            index=1,
            number=2,
            type=14,
            cpp_type=8,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="data_format",
            full_name="mascot.AttributeConfig.data_format",
            index=2,
            number=3,
            type=14,
            cpp_type=8,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="data_type",
            full_name="mascot.AttributeConfig.data_type",
            index=3,
            number=4,
            type=3,
            cpp_type=2,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="memorized",
            full_name="mascot.AttributeConfig.memorized",
            index=4,
            number=5,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="mem_init",
            full_name="mascot.AttributeConfig.mem_init",
            index=5,
            number=6,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="max_dim_x",
            full_name="mascot.AttributeConfig.max_dim_x",
            index=6,
            number=7,
            type=3,
            cpp_type=2,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="max_dim_y",
            full_name="mascot.AttributeConfig.max_dim_y",
            index=7,
            number=8,
            type=3,
            cpp_type=2,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="description",
            full_name="mascot.AttributeConfig.description",
            index=8,
            number=9,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="label",
            full_name="mascot.AttributeConfig.label",
            index=9,
            number=10,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="unit",
            full_name="mascot.AttributeConfig.unit",
            index=10,
            number=11,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="standard_unit",
            full_name="mascot.AttributeConfig.standard_unit",
            index=11,
            number=12,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="display_unit",
            full_name="mascot.AttributeConfig.display_unit",
            index=12,
            number=13,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="format",
            full_name="mascot.AttributeConfig.format",
            index=13,
            number=14,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="min_value",
            full_name="mascot.AttributeConfig.min_value",
            index=14,
            number=15,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="max_value",
            full_name="mascot.AttributeConfig.max_value",
            index=15,
            number=16,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="writable_attr_name",
            full_name="mascot.AttributeConfig.writable_attr_name",
            index=16,
            number=17,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="level",
            full_name="mascot.AttributeConfig.level",
            index=17,
            number=18,
            type=14,
            cpp_type=8,
            label=1,
            has_default_value=False,
            default_value=0,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="root_attr_name",
            full_name="mascot.AttributeConfig.root_attr_name",
            index=18,
            number=19,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="enum_labels",
            full_name="mascot.AttributeConfig.enum_labels",
            index=19,
            number=20,
            type=9,
            cpp_type=9,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="att_alarm",
            full_name="mascot.AttributeConfig.att_alarm",
            index=20,
            number=21,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="event_prop",
            full_name="mascot.AttributeConfig.event_prop",
            index=21,
            number=22,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="extensions",
            full_name="mascot.AttributeConfig.extensions",
            index=22,
            number=23,
            type=9,
            cpp_type=9,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="sys_extensions",
            full_name="mascot.AttributeConfig.sys_extensions",
            index=23,
            number=24,
            type=9,
            cpp_type=9,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=67,
    serialized_end=666,
)


_ATTRIBUTECONFIGREPLY = _descriptor.Descriptor(
    name="AttributeConfigReply",
    full_name="mascot.AttributeConfigReply",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="success",
            full_name="mascot.AttributeConfigReply.success",
            index=0,
            number=1,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="error",
            full_name="mascot.AttributeConfigReply.error",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="data",
            full_name="mascot.AttributeConfigReply.data",
            index=2,
            number=3,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=668,
    serialized_end=776,
)


_EVENTPROPERTIES = _descriptor.Descriptor(
    name="EventProperties",
    full_name="mascot.EventProperties",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="empty",
            full_name="mascot.EventProperties.empty",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        )
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=778,
    serialized_end=810,
)


_ATTRIBUTEALARM = _descriptor.Descriptor(
    name="AttributeAlarm",
    full_name="mascot.AttributeAlarm",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="empty",
            full_name="mascot.AttributeAlarm.empty",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        )
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=812,
    serialized_end=843,
)

_ATTRIBUTECONFIG.fields_by_name["writable"].enum_type = tango__enums__pb2._ATTRWRITETYPE
_ATTRIBUTECONFIG.fields_by_name[
    "data_format"
].enum_type = tango__enums__pb2._ATTRDATAFORMAT
_ATTRIBUTECONFIG.fields_by_name["level"].enum_type = tango__enums__pb2._DISPLEVEL
_ATTRIBUTECONFIG.fields_by_name["att_alarm"].message_type = _ATTRIBUTEALARM
_ATTRIBUTECONFIG.fields_by_name["event_prop"].message_type = _EVENTPROPERTIES
_ATTRIBUTECONFIGREPLY.fields_by_name["error"].message_type = error__pb2._ERROR
_ATTRIBUTECONFIGREPLY.fields_by_name["data"].message_type = _ATTRIBUTECONFIG
DESCRIPTOR.message_types_by_name["AttributeConfig"] = _ATTRIBUTECONFIG
DESCRIPTOR.message_types_by_name["AttributeConfigReply"] = _ATTRIBUTECONFIGREPLY
DESCRIPTOR.message_types_by_name["EventProperties"] = _EVENTPROPERTIES
DESCRIPTOR.message_types_by_name["AttributeAlarm"] = _ATTRIBUTEALARM
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

AttributeConfig = _reflection.GeneratedProtocolMessageType(
    "AttributeConfig",
    (_message.Message,),
    dict(
        DESCRIPTOR=_ATTRIBUTECONFIG,
        __module__="attribute_config_pb2"
        # @@protoc_insertion_point(class_scope:mascot.AttributeConfig)
    ),
)
_sym_db.RegisterMessage(AttributeConfig)

AttributeConfigReply = _reflection.GeneratedProtocolMessageType(
    "AttributeConfigReply",
    (_message.Message,),
    dict(
        DESCRIPTOR=_ATTRIBUTECONFIGREPLY,
        __module__="attribute_config_pb2"
        # @@protoc_insertion_point(class_scope:mascot.AttributeConfigReply)
    ),
)
_sym_db.RegisterMessage(AttributeConfigReply)

EventProperties = _reflection.GeneratedProtocolMessageType(
    "EventProperties",
    (_message.Message,),
    dict(
        DESCRIPTOR=_EVENTPROPERTIES,
        __module__="attribute_config_pb2"
        # @@protoc_insertion_point(class_scope:mascot.EventProperties)
    ),
)
_sym_db.RegisterMessage(EventProperties)

AttributeAlarm = _reflection.GeneratedProtocolMessageType(
    "AttributeAlarm",
    (_message.Message,),
    dict(
        DESCRIPTOR=_ATTRIBUTEALARM,
        __module__="attribute_config_pb2"
        # @@protoc_insertion_point(class_scope:mascot.AttributeAlarm)
    ),
)
_sym_db.RegisterMessage(AttributeAlarm)


# @@protoc_insertion_point(module_scope)
